import { Router } from "express";
import validateToken from "../middleware/validateToken";
import boatControllers from "../controllers/boatControllers.controllers";
import handleValidationResult from "../middleware/handleValidationResult";

const boatsRouter = Router();

boatsRouter.get("/api/boat/", boatControllers.showAllBoatsController);
boatsRouter.get("/api/boat/:id", boatControllers.showBoatById);
boatsRouter.delete(
  "/api/boat/:id",
  validateToken,
  boatControllers.deleteBoatById
);

export default boatsRouter;
